Bug 846151

Summary: [PATCH] Please adapt cdm for display manager rework feature
Product: [Fedora] Fedora Reporter: Lennart Poettering <lpoetter>
Component: cdmAssignee: Jaromír Cápík <jcapik>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: jcapik, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-04 09:31:59 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 846137    
Attachments:
Description Flags
Proposed patch none

Description Lennart Poettering 2012-08-06 20:06:27 EDT
Heya,

please update the cdm package to follow the new logic explained in the DisplayManagerRework page:

https://fedoraproject.org/wiki/Features/DisplayManagerRework

This requires shipping a systemd unit file in the cdm package as well as changes to the .spec file.

Please ping us if you need help, or have questions.

Note that this is an accepted F18 feature, we'd be thankful if you could complete this update in time for the F18 release.
Comment 1 Lennart Poettering 2012-08-07 08:45:10 EDT
Created attachment 602739 [details]
Proposed patch

Here's a proposed patch that implements what's necessary.
Comment 2 Lennart Poettering 2012-08-08 11:34:34 EDT
We will shortly upload a new version of systemd to F18, which removes support for prefdm. This means that slim will not work on F18 anymore until this bug is fixed.
Comment 3 Lennart Poettering 2012-08-08 11:35:25 EDT
sorry, i meant "cdm", not "slim".
Comment 4 Jaromír Cápík 2012-08-08 12:25:47 EDT
Hello Lennart.

I'm currently busy with different stuff, but I'll try to look at that soon.
Thanks for the patch.

Regards,
Jaromir.
Comment 5 Lennart Poettering 2012-08-08 17:17:59 EDT
A new systemd version without prefdm has now been uploaded to F18. This means cdm is now broken on F18 until this bug is fixed. Please update your packages! Thanks!
Comment 6 Jaromír Cápík 2012-08-09 13:56:06 EDT
Unfortunately bodhi rejects the update for some reason.
Comment 7 Fedora End Of Life 2013-04-03 15:23:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Jaromír Cápík 2013-11-04 09:31:59 EST
The proposed patch cannot work. The CDM never worked as a service. It's spawned from the profile.d scriptlet. I dropped the patch and resurrected the functionality broken by xorg-x11-xinit changes introduced to make the systemd-logind work.